Skip to main content
GET
Get a list of reward kit rewards

Query Parameters

page
integer | null
default:1

The desired page to return from the query

Required range: x >= 0
pageSize
integer | null
default:10

The amount of items to return from the query, defaults to 10, and must be <= 100

Required range: 0 <= x <= 100
budgetAccount
string

Filter boosts by budget account address(es). Accepts a single address or comma-separated list of addresses

Example:

"0x378632819f39c74c4f56b1429e760739c5fb51b7,0x1234567890123456789012345678901234567890"

owner
string

Filter boosts by a specific owner address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x378632819f39c74c4f56b1429e760739c5fb51b7"

autoboostId
string

Filter boosts by a specific autoboost ID

chainId
integer | null

Only retrieve Boosts for a specific chain ID. You must supply this parameter if also specifying targetContract

Required range: x >= 0
targetContract
string

Retrieve rewards configured with actions that target a specific contract i.e., Zora's address for all rewards that require a mint in order to claim a reward. If you supply this parameter, you must also supply chainId

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x378632819f39c74c4f56b1429e760739c5fb51b7"

tokens
string

Retrieve rewards configured with specific token addresses

Example:

"chainId:tokenAddress,chainId:tokenAddress:collection,..."

distributionChannel
string

Filter boosts by comma separated list of distribution channels

Example:

"distributionChannel=public,farcaster"

sortBy
enum<string>

Sort by active or recently deployed

Available options:
active,
recently-deployed
tokenWhitelist
boolean | null
default:true

Filter boosts by token whitelist

creatorAddress
string

Filter rewards by the reward creator's address.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x378632819f39c74c4f56b1429e760739c5fb51b7"

claimantAddress
string

Filter rewards by the address of the claimant.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x378632819f39c74c4f56b1429e760739c5fb51b7"

status
enum<string>
default:claimable

Filter rewards by their status, either active, claimed, or claimable.

Available options:
active,
claimed,
claimable
actionType
any

Filter by the type of actions that must be taken to claim the reward, eg: "mint", "swap"

Example:

"swap,mint"

excludeActionType
any

Exclude rewards with these action types, eg: "mint", "swap"

Example:

"mint,create-any-token"

includeTokenMetadata
boolean | null

Include token metadata (price, market cap, etc.) for applicable actions. Defaults to false.

Example:

true

Response

Returns a list of RewardKit rewards

The API response for a user's RewardKit rewards

boosts
object[]
required

A list of RewardKit rewards that match a filter criteria